Error: Missing Dependency(ies) for some packages

Antonio Olivares olivares14031 at yahoo.com
Mon Sep 15 23:18:47 UTC 2008


Dear all,

I have recently updated a Fedora 9 machine to latest, but some updates refuse to come in because of dependency issues.  I will try to update later, if these dependencies are taken care of.  Just an FYI in case it has not been reported.  

[root at localhost ~]# yum update
Loaded plugins: refresh-packagekit
updates-newkey                                           | 2.3 kB     00:00     
primary.sqlite.bz2                                       | 2.6 MB     00:01     
updates                                                  | 2.6 kB     00:00     
primary.sqlite.bz2                                       | 9.1 kB     00:00     
adobe-linux-i386                                         |  951 B     00:00     
primary.xml.gz                                           |  10 kB     00:00     
adobe-linux-i386                                               17/17
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package a2ps.i386 0:4.14-5.fc9 set to be updated
--> Processing Dependency: html2ps for package: a2ps
---> Package policycoreutils.i386 0:2.0.52-8.fc9 set to be updated
---> Package policycoreutils-gui.i386 0:2.0.52-8.fc9 set to be updated
--> Processing Dependency: selinux-policy-devel for package: policycoreutils-gui
--> Processing Dependency: setools-console for package: policycoreutils-gui
--> Running transaction check
---> Package selinux-policy-devel.noarch 0:3.3.1-87.fc9 set to be updated
---> Package policycoreutils-gui.i386 0:2.0.52-8.fc9 set to be updated
--> Processing Dependency: setools-console for package: policycoreutils-gui
---> Package html2ps.noarch 0:1.0-0.1.b5.fc9 set to be updated
--> Processing Dependency: perl(Image::Magick) for package: html2ps
--> Finished Dependency Resolution
policycoreutils-gui-2.0.52-8.fc9.i386 from updates-newkey has depsolving problems
  --> Missing Dependency: setools-console is needed by package policycoreutils-gui-2.0.52-8.fc9.i386 (updates-newkey)
html2ps-1.0-0.1.b5.fc9.noarch from updates-newkey has depsolving problems
  --> Missing Dependency: perl(Image::Magick) is needed by package html2ps-1.0-0.1.b5.fc9.noarch (updates-newkey)
Error: Missing Dependency: perl(Image::Magick) is needed by package html2ps-1.0-0.1.b5.fc9.noarch (updates-newkey)
Error: Missing Dependency: setools-console is needed by package policycoreutils-gui-2.0.52-8.fc9.i386 (updates-newkey)


Thanks,

Antonio


      




More information about the users mailing list